%define _requires_exceptions devel\\(.*\\)

Name:           akonadi-notes
Version: 		23.08.5
Release:        %mkrel 1
Summary:        Akonadi Notes Integration
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/KDE5
URL:            https://www.kde.org/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires: cmake 
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5mime-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5xml-devel 

Requires: lib64kf5akonadinotes5

%description
Akonadi Notes Integration.

%files
%_kf5_datadir/locale
#--------------------------------------------------------------------

%define kf5akonadinotes_major 5
%define libkf5akonadinotes %mklibname kf5akonadinotes %{kf5akonadinotes_major}

%package -n %{libkf5akonadinotes}
Summary:      Akonadi Notes Integration main library
Group:        System/Libraries
Requires:   %name

%description -n %{libkf5akonadinotes}
Akonadi Notes Integration main library.

%files -n %{libkf5akonadinotes}
%_kf5_libdir/libKPim5AkonadiNotes.so.%{kf5akonadinotes_major}*

#--------------------------------------------------------------------

%define kf5akonadinotes_devel %mklibname kf5akonadinotes -d

%package -n %{kf5akonadinotes_devel}
Summary:        Devel stuff for %{name}
Group:          Development/Libraries
Requires:       %{libkf5akonadinotes} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{kf5akonadinotes_devel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{kf5akonadinotes_devel}
%_includedir
%_kf5_libdir/*.so
%_kf5_libdir/cmake
%_libdir/qt5/mkspecs
#--------------------------------------------------------------------

%prep
%setup -q

%build

export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja

%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

